# -*- encoding: utf-8 -*-
# stub: http 4.4.1 ruby lib

Gem::Specification.new do |s|
  s.name = "http".freeze
  s.version = "4.4.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/httprb/http/issues", "changelog_uri" => "https://github.com/httprb/http/blob/v4.4.1/CHANGES.md", "source_code_uri" => "https://github.com/httprb/http", "wiki_uri" => "https://github.com/httprb/http/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tony Arcieri".freeze, "Erik Michaels-Ober".freeze, "Alexey V. Zapparov".freeze, "Zachary Anker".freeze]
  s.date = "2020-03-29"
  s.description = "An easy-to-use client library for making requests from Ruby. It uses a simple method chaining system for building requests, similar to Python's Requests.".freeze
  s.email = ["bascule@gmail.com".freeze]
  s.files = [".coveralls.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, ".yardopts".freeze, "CHANGES.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "http.gemspec".freeze, "lib/http.rb".freeze, "lib/http/chainable.rb".freeze, "lib/http/client.rb".freeze, "lib/http/connection.rb".freeze, "lib/http/content_type.rb".freeze, "lib/http/errors.rb".freeze, "lib/http/feature.rb".freeze, "lib/http/features/auto_deflate.rb".freeze, "lib/http/features/auto_inflate.rb".freeze, "lib/http/features/instrumentation.rb".freeze, "lib/http/features/logging.rb".freeze, "lib/http/features/normalize_uri.rb".freeze, "lib/http/headers.rb".freeze, "lib/http/headers/known.rb".freeze, "lib/http/headers/mixin.rb".freeze, "lib/http/mime_type.rb".freeze, "lib/http/mime_type/adapter.rb".freeze, "lib/http/mime_type/json.rb".freeze, "lib/http/options.rb".freeze, "lib/http/redirector.rb".freeze, "lib/http/request.rb".freeze, "lib/http/request/body.rb".freeze, "lib/http/request/writer.rb".freeze, "lib/http/response.rb".freeze, "lib/http/response/body.rb".freeze, "lib/http/response/inflater.rb".freeze, "lib/http/response/parser.rb".freeze, "lib/http/response/status.rb".freeze, "lib/http/response/status/reasons.rb".freeze, "lib/http/timeout/global.rb".freeze, "lib/http/timeout/null.rb".freeze, "lib/http/timeout/per_operation.rb".freeze, "lib/http/uri.rb".freeze, "lib/http/version.rb".freeze, "logo.png".freeze, "spec/lib/http/client_spec.rb".freeze, "spec/lib/http/connection_spec.rb".freeze, "spec/lib/http/content_type_spec.rb".freeze, "spec/lib/http/features/auto_deflate_spec.rb".freeze, "spec/lib/http/features/auto_inflate_spec.rb".freeze, "spec/lib/http/features/instrumentation_spec.rb".freeze, "spec/lib/http/features/logging_spec.rb".freeze, "spec/lib/http/headers/mixin_spec.rb".freeze, "spec/lib/http/headers_spec.rb".freeze, "spec/lib/http/options/body_spec.rb".freeze, "spec/lib/http/options/features_spec.rb".freeze, "spec/lib/http/options/form_spec.rb".freeze, "spec/lib/http/options/headers_spec.rb".freeze, "spec/lib/http/options/json_spec.rb".freeze, "spec/lib/http/options/merge_spec.rb".freeze, "spec/lib/http/options/new_spec.rb".freeze, "spec/lib/http/options/proxy_spec.rb".freeze, "spec/lib/http/options_spec.rb".freeze, "spec/lib/http/redirector_spec.rb".freeze, "spec/lib/http/request/body_spec.rb".freeze, "spec/lib/http/request/writer_spec.rb".freeze, "spec/lib/http/request_spec.rb".freeze, "spec/lib/http/response/body_spec.rb".freeze, "spec/lib/http/response/parser_spec.rb".freeze, "spec/lib/http/response/status_spec.rb".freeze, "spec/lib/http/response_spec.rb".freeze, "spec/lib/http/uri_spec.rb".freeze, "spec/lib/http_spec.rb".freeze, "spec/regression_specs.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/black_hole.rb".freeze, "spec/support/capture_warning.rb".freeze, "spec/support/dummy_server.rb".freeze, "spec/support/dummy_server/servlet.rb".freeze, "spec/support/fakeio.rb".freeze, "spec/support/http_handling_shared.rb".freeze, "spec/support/proxy_server.rb".freeze, "spec/support/servers/config.rb".freeze, "spec/support/servers/runner.rb".freeze, "spec/support/ssl_helper.rb".freeze]
  s.homepage = "https://github.com/httprb/http".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.0.8".freeze
  s.summary = "HTTP should be easy".freeze
  s.test_files = ["spec/lib/http/client_spec.rb".freeze, "spec/lib/http/connection_spec.rb".freeze, "spec/lib/http/content_type_spec.rb".freeze, "spec/lib/http/features/auto_deflate_spec.rb".freeze, "spec/lib/http/features/auto_inflate_spec.rb".freeze, "spec/lib/http/features/instrumentation_spec.rb".freeze, "spec/lib/http/features/logging_spec.rb".freeze, "spec/lib/http/headers/mixin_spec.rb".freeze, "spec/lib/http/headers_spec.rb".freeze, "spec/lib/http/options/body_spec.rb".freeze, "spec/lib/http/options/features_spec.rb".freeze, "spec/lib/http/options/form_spec.rb".freeze, "spec/lib/http/options/headers_spec.rb".freeze, "spec/lib/http/options/json_spec.rb".freeze, "spec/lib/http/options/merge_spec.rb".freeze, "spec/lib/http/options/new_spec.rb".freeze, "spec/lib/http/options/proxy_spec.rb".freeze, "spec/lib/http/options_spec.rb".freeze, "spec/lib/http/redirector_spec.rb".freeze, "spec/lib/http/request/body_spec.rb".freeze, "spec/lib/http/request/writer_spec.rb".freeze, "spec/lib/http/request_spec.rb".freeze, "spec/lib/http/response/body_spec.rb".freeze, "spec/lib/http/response/parser_spec.rb".freeze, "spec/lib/http/response/status_spec.rb".freeze, "spec/lib/http/response_spec.rb".freeze, "spec/lib/http/uri_spec.rb".freeze, "spec/lib/http_spec.rb".freeze, "spec/regression_specs.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/black_hole.rb".freeze, "spec/support/capture_warning.rb".freeze, "spec/support/dummy_server.rb".freeze, "spec/support/dummy_server/servlet.rb".freeze, "spec/support/fakeio.rb".freeze, "spec/support/http_handling_shared.rb".freeze, "spec/support/proxy_server.rb".freeze, "spec/support/servers/config.rb".freeze, "spec/support/servers/runner.rb".freeze, "spec/support/ssl_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.3"])
      s.add_runtime_dependency(%q<http-cookie>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<http-form_data>.freeze, ["~> 2.2"])
      s.add_runtime_dependency(%q<http-parser>.freeze, ["~> 1.2.0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    else
      s.add_dependency(%q<addressable>.freeze, ["~> 2.3"])
      s.add_dependency(%q<http-cookie>.freeze, ["~> 1.0"])
      s.add_dependency(%q<http-form_data>.freeze, ["~> 2.2"])
      s.add_dependency(%q<http-parser>.freeze, ["~> 1.2.0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    end
  else
    s.add_dependency(%q<addressable>.freeze, ["~> 2.3"])
    s.add_dependency(%q<http-cookie>.freeze, ["~> 1.0"])
    s.add_dependency(%q<http-form_data>.freeze, ["~> 2.2"])
    s.add_dependency(%q<http-parser>.freeze, ["~> 1.2.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
  end
end

